package cn.timer.api.config.enuminterface;

import lombok.Getter;

public interface SpmkEnumInterface {

	/**
	 * 员工类型
	 */
	@Getter
	enum ExecutorSts implements SpmkEnumInterface {
		NON_EXECUTION(0, "未执行"), IN_EXECUTION(1, "执行中"), AGREE(2, "同意"), REFUSE(3, "拒绝"), REDEPLOY(4, "转派");

		private Integer type;

		private String name;

		ExecutorSts(Integer type, String name) {
			this.type = type;
			this.name = name;
		}
		
	}
	
}
